package dev.shadowsoffire.apotheosis.ench.anvil;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.Apoth;
import it.unimi.dsi.fastutil.objects.Object2IntMap;
import it.unimi.dsi.fastutil.objects.Object2IntOpenHashMap;
import java.util.Map;
import net.minecraft.core.BlockPos;
import net.minecraft.nbt.CompoundTag;
import net.minecraft.nbt.ListTag;
import net.minecraft.nbt.Tag;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Items;
import net.minecraft.world.item.enchantment.Enchantment;
import net.minecraft.world.item.enchantment.EnchantmentHelper;
import net.minecraft.world.level.ItemLike;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.entity.BlockEntityType;
import net.minecraft.world.level.block.state.BlockState;

public class AnvilTile extends BlockEntity {
  protected final Object2IntMap<Enchantment> enchantments = (Object2IntMap<Enchantment>)new Object2IntOpenHashMap();
  
  public AnvilTile(BlockPos pos, BlockState state) {
    super((BlockEntityType)Apoth.Tiles.ANVIL.get(), pos, state);
  }
  
  public void m_183515_(CompoundTag tag) {
    ItemStack stack = new ItemStack((ItemLike)Items.f_42146_);
    EnchantmentHelper.m_44865_((Map)this.enchantments, stack);
    tag.m_128365_("enchantments", (Tag)stack.m_41785_());
  }
  
  public void m_142466_(CompoundTag tag) {
    super.m_142466_(tag);
    ListTag enchants = tag.m_128437_("enchantments", 10);
    Map<Enchantment, Integer> map = EnchantmentHelper.m_44882_(enchants);
    this.enchantments.clear();
    this.enchantments.putAll(map);
  }
  
  public Object2IntMap<Enchantment> getEnchantments() {
    return this.enchantments;
  }
}
